import retrofit2.Retrofit
import retrofit2.converter.gson.GsonConverterFactory
import com.google.gson.Gson
import com.google.gson.GsonBuilder

object RetrofitClient {
    private const val BASE_URL = "http://192.168.50.166:8486/" // Replace with your actual base URL
    private const val BASE_URL2 = "http://192.168.50.166:8096/" // Replace with your actual base URL

    // Create a Gson instance with lenient parsing
    private val gson: Gson = GsonBuilder()
        .setLenient()
        .create()

    private val retrofit: Retrofit = Retrofit.Builder()
        .baseUrl(BASE_URL)
        .addConverterFactory(GsonConverterFactory.create(gson)) // Use lenient Gson instance
        .build()

    private val retrofit1: Retrofit = Retrofit.Builder()
        .baseUrl(BASE_URL2)
        .addConverterFactory(GsonConverterFactory.create(gson)) // Use lenient Gson instance
        .build()
    val apiService1: ApiService = retrofit1.create(ApiService::class.java)

    val apiService: ApiService = retrofit.create(ApiService::class.java)
}
